<template>
  <div>
    <router-link :to="{ name: 'Create' }" class="button is-success mt-5"
      >Add New</router-link
    >

    <table class="table is-striped is-bordered mt-2 is-fullwidth">
      <thead>
        <tr>
          <th>NIM</th>

          <th>NAMA</th>

          <th>ALAMAT</th>

          <th class="has-text-centered">Actions</th>
        </tr>
      </thead>

      <tbody>
        <tr v-for="item in items" :key="item.id_mhs">
          <td>{{ item.nim_mhs }}</td>

          <td>{{ item.nama_mhs }}</td>

          <td>{{ item.alamat_mhs }}</td>

          <td class="has-text-centered">
            <router-link
              :to="{ name: 'Edit', params: { id: item.id_mhs } }"
              class="button is-info is-small"
              >Edit</router-link
            >
            <a
              class="button is-danger is-small"
              @click="deleteMahasiswa(item.id_mhs)"
              >Delete</a
            >
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>

<script>
// import axios
import axios from "axios";
export default {
  name: "MahasiswaList",
  data() {
    return {
      items: [],
    };
  },
  created() {
    this.getMahasiswa();
  },
  methods: {
    // Get All Products
    async getMahasiswa() {
      try {
        const response = await axios.get("http://localhost:5000/mahasiswas");
        this.items = response.data;
      } catch (err) {
        console.log(err);
      }
    }, // Delete Product
    async deleteMahasiswa(id) {
      try {
        await axios.delete(`http://localhost:5000/mahasiswas/${id}`);
        this.getMahasiswa();
      } catch (err) {
        console.log(err);
      }
    },
  },
};
</script>
<style></style>
